critical_point.hh File Reference
`#include <list>`
`#include <mia/3d/matrix.hh>`
Include dependency graph for critical_point.hh:

Go to the source code of this file.

## Data Structures

class | C3DCriticalPoint
| A class to hold a critical point. This class holds a critical point in a 3D vector field It consists of a localtion \( x_0 \in \mathbb{R}^3 \), Matrix \( A \in \mathbb{R}^{3 \times 3} \), and a magnitude \( \gamma \in \mathbb{R} \). It is used only as an intermidiate storage. More...
class | C3DCriticalPointEigen
| A class to hold a criticalpoint with eigenvalues and eigenvectors. More...

## Typedefs

typedef std::vector< C3DCriticalPointEigen > | C3DCriticalPointEigenList
typedef C3DCriticalPoint::List | C3DCriticalPointList
| typedef for convinience

## Typedef Documentation

## C3DCriticalPointEigenList

typedef std::vector< C3DCriticalPointEigen > C3DCriticalPointEigenList

Definition at line 275 of file critical_point.hh.

## C3DCriticalPointList

typedef C3DCriticalPoint::List C3DCriticalPointList

typedef for convinience

Definition at line 140 of file critical_point.hh.